# Handle_Ops.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`

Include dependency graph for Handle_Ops.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE

## Functions

ACE_Export ACE_HANDLE | handle_timed_open (ACE_Time_Value *timeout, const ACE_TCHAR *name, int flags, int perms, LPSECURITY_ATTRIBUTES sa=0)

## Detailed Description

Id
  Handle_Ops.h,v 1.9 2005/10/28 16:14:52 ossama Exp

Handle operations.

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_HANDLE ACE::handle_timed_open | ( | ACE_Time_Value * | timeout,
|  | const ACE_TCHAR * | name,
|  | int | flags,
|  | int | perms,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| Wait up to timeout> amount of time to actively open a device. This method doesn't perform the `connect`, it just does the timed wait.